<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>
Xv Manual: Using Xvin
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" title="Default" type="text/css" href="allegro.css"></head><body bgcolor=white text=black link="#0000ee" alink="#ff0000" vlink="#551a8b">
<h1><a name="Using Xvin">Using Xvin</a></h1>

<p>
Xvin is a general program to display plots and images. It is oriented to
present physical results. The goal is to provide a relatively simple
graphical tools allowing to handle scientific data and to perform common
numerical treatements. The emphasis is made in its ability to manipulate
large numbers of points (several millions) and to be has fast as possible.
The interface is on the other hand rather simplistic.



<p><br>
Xvin is also made to be easily expandable using plug-ins written in C and
loaded dynamically. Whithin Xvin you can automatically generate a project
directory MyProject holding a set of files: MyProject.h, MyProject.c the 
associated makefile which serves as a canvas to write simple applications
adding a new function attached to a menu button. 


<p><br>
<div class="al-api"><b>int <a name="xvin_main">xvin_main</a>(int argc, char** argv);</b></div><br>
   Start xvin passing the command line arguments




<p><br>
<div class="al-api"><b>typedef struct plot_label <a name="p_l">p_l</a>;</b></div><br>
<blockquote class="code"><pre>
    int type;           type of label : in absolute or user defined coordinate
    float xla, yla;     the x, y position of the label 
    char *text;         the string containing the text of the label
    struct box *b;      its internal representation
</pre></blockquote>
    Type may be one of those
<blockquote class="text"><pre>
    ABS_COORD           
    USR_COORD           
    VERT_LABEL_USR      
    VERT_LABEL_ABS      
    WHITE_LABEL         
    OVER_WHITE          
</pre></blockquote>






<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#create_plot_label" title="">create_plot_label</a>,
<a class="xref" href="#duplicate_plot_label" title="">duplicate_plot_label</a>,
<a class="xref" href="#free_plot_label" title="">free_plot_label</a>.</blockquote>
<div class="al-api"><b>typedef struct data_set <a name="d_s">d_s</a></b></div><br>
<blockquote class="code"><pre>
    int nx, ny, type;          the number of x and y data 
    int mx, my;                the size allocated for x and y     
    float *xd, *yd;            pointers to the x and y data 
    float *xe, *ye;               the x and y error on data 
    char *symb;                the symbol to plot describe as a string
    int m;                     a flag defining the line style 
    int color;                 the drawing color 
    unsigned long time;        the time and date of creation 
    char *source;              a string defining from where the data comes from
    char *history;             a string defining the previous treatement
    char *treatement;          a string defining the last treatement
    char **special;            a pointer to an array of user specific string
    int n_special, m_special;  the number of them and the size of the array
    struct plot_label **lab;   labelling in the plot attached to ds 
    int n_lab, m_lab;          the last and size    
    struct hook use;           a structure allowing to attach extra data
    int need_to_refresh;
    double record_duration;    duration of data acquisition in micro seconds */
    long long record_start;    start of duration of data */

</pre></blockquote>



<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#build_data_set" title="">build_data_set</a>,
<a class="xref" href="#build_adjust_data_set" title="">build_adjust_data_set</a>,
<a class="xref" href="#duplicate_data_set" title="">duplicate_data_set</a>,
<a class="xref" href="#free_data_set" title="">free_data_set</a>,
<a class="xref" href="#add_new_point_to_ds" title="">add_new_point_to_ds</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_pl_x">get_pl_x</a>(pl)</b></div><br>
   A macro grabbing the X coordinate of a plot label


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#set_pl_x" title="">set_pl_x</a>.</blockquote>
<div class="al-api"><b>#define <a name="set_pl_x">set_pl_x</a>(pl,x)</b></div><br>
   A macro setting the X coordinate of a plot label


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#get_pl_x" title="">get_pl_x</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_pl_y">get_pl_y</a>(pl)</b></div><br>
   A macro grabbing the Y coordinate of a plot label


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#set_pl_y" title="">set_pl_y</a>.</blockquote>
<div class="al-api"><b>#define <a name="set_pl_y">set_pl_y</a>(pl,y)</b></div><br>
   A macro setting the y coordinate of a plot label


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#get_pl_y" title="">get_pl_y</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_pl_text">get_pl_text</a>(pl)</b></div><br>
   A macro grabbing the text string of a plot label


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#get_pl_x" title="">get_pl_x</a>,
<a class="xref" href="#get_pl_y" title="">get_pl_y</a>.</blockquote>
<div class="al-api"><b>p_l* <a name="create_plot_label">create_plot_label</a>(int type, float x, float y, char *format,...);</b></div><br>
   Create a plot label by setting variables and allocating the text string using
   a printf format.
<blockquote class="code"><pre>
      pl = <a href="#create_plot_label" class="autotype" title="">create_plot_label</a> (USR_COORD, 1, 2, "Nice point at %g",val);
</pre></blockquote>


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#free_plot_label" title="">free_plot_label</a>,
<a class="xref" href="#duplicate_plot_label" title="">duplicate_plot_label</a>.</blockquote>
<div class="al-api"><b>p_l* <a name="duplicate_plot_label">duplicate_plot_label</a>(p_l *pls);</b></div><br>
   Duplicate a plot label 


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#free_plot_label" title="">free_plot_label</a>,
<a class="xref" href="#create_plot_label" title="">create_plot_label</a>.</blockquote>
<div class="al-api"><b>int <a name="free_plot_label">free_plot_label</a>(p_l *pl);</b></div><br>
   Free both the text string and the structure.
       


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#duplicate_plot_label" title="">duplicate_plot_label</a>,
<a class="xref" href="#create_plot_label" title="">create_plot_label</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="build_data_set">build_data_set</a>(int nx, int ny);</b></div><br>
    Create the data set structure and allocate the x and y array to the 
    corresponding size.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#free_data_set" title="">free_data_set</a>,
<a class="xref" href="#build_adjust_data_set" title="">build_adjust_data_set</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="build_adjust_data_set">build_adjust_data_set</a>(d_s *ds, int nx, int ny);</b></div><br>
    If the data set passed is null this function call build_data_set, otherwise
    it allow to reallocate the arrays to the new size.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#free_data_set" title="">free_data_set</a>,
<a class="xref" href="#build_data_set" title="">build_data_set</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="duplicate_data_set">duplicate_data_set</a>(d_s *src, d_s *dest);</b></div><br>
    Copy a data set and all its features
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#free_data_set" title="">free_data_set</a>.</blockquote>
<div class="al-api"><b>int <a name="free_data_set">free_data_set</a>(d_s *ds);</b></div><br>
    Tree everything allocated in the structue as well as the structure itself.
    If the function ds_free_use has been defined, this function is called.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#build_data_set" title="">build_data_set</a>,
<a class="xref" href="#build_adjust_data_set" title="">build_adjust_data_set</a>.</blockquote>
<div class="al-api"><b>int <a name="add_new_point_to_ds">add_new_point_to_ds</a>(d_s *ds, float x, float y);</b></div><br>
    This function add a new point to a data set as its last points, it 
    automatically reallocate data arrays if needed.
    


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#build_data_set" title="">build_data_set</a>,
<a class="xref" href="#build_adjust_data_set" title="">build_adjust_data_set</a>.</blockquote>
<div class="al-api"><b>#define    <a name="get_ds_nx">get_ds_nx</a>(ds)        </b></div><br>
    macro giving the number of points in x
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>.</blockquote>
<div class="al-api"><b>#define    <a name="get_ds_ny">get_ds_ny</a>(ds)        </b></div><br>
    macro giving the number of points in y    
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>.</blockquote>
<div class="al-api"><b>#define <a name="set_ds_x_point">set_ds_x_point</a>(ds,x,i)    </b></div><br>
    macro setting the x value of the point of index i, no check is made on 
    array boundary.  


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#get_ds_x_point" title="">get_ds_x_point</a>.</blockquote>
<div class="al-api"><b>#define <a name="set_ds_y_point">set_ds_y_point</a>(ds,y,i)     </b></div><br>
    macro setting the y value of the point of index i, no check is made on 
    array boundary.  
  

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#get_ds_y_point" title="">get_ds_y_point</a>.</blockquote>
<div class="al-api"><b>#define <a name="set_ds_point">set_ds_point</a>(ds,x,y,i)    </b></div><br>
    macro setting both the x and y value of the point of index i, no check 
    is made on array boundary   


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_ds_x_point">get_ds_x_point</a>(ds,i)    </b></div><br>
    macro getting the x value of the point of index i, no check is made on 
    array boundary 


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_x_point" title="">set_ds_x_point</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_ds_y_point">get_ds_y_point</a>(ds,i)    </b></div><br>
    macro getting the y value of the point of index i, no check is made on 
    array boundary 


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_y_point" title="">set_ds_y_point</a>.</blockquote>
<div class="al-api"><b>float* <a name="get_ds_x_ptr">get_ds_x_ptr</a>(d_s *ds);</b></div><br>
    Macro use to obtain the pointer to the float array of X coordinate.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>.</blockquote>
<div class="al-api"><b>float* <a name="get_ds_y_ptr">get_ds_y_ptr</a>(d_s *ds);</b></div><br>
    Macro use to obtain the pointer to the float array of Y coordinate.
                        

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_dash_line">set_ds_dash_line</a>(d_s *ds);</b></div><br>
    This function specify the data set properties.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_dot_line" title="">set_ds_dot_line</a>,
<a class="xref" href="#set_ds_plain_line" title="">set_ds_plain_line</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_dot_line">set_ds_dot_line</a>(d_s *ds);</b></div><br>
    This function specify the data set properties.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_dash_line" title="">set_ds_dash_line</a>,
<a class="xref" href="#set_ds_plain_line" title="">set_ds_plain_line</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_plain_line">set_ds_plain_line</a>(d_s *ds);</b></div><br>
    This function specify the data set properties.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_dot_line" title="">set_ds_dot_line</a>,
<a class="xref" href="#set_ds_dash_line" title="">set_ds_dash_line</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_line_color">set_ds_line_color</a>(d_s *ds, int color);</b></div><br>
    This function specify the color of the data set.
        

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#get_ds_line_color" title="">get_ds_line_color</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_ds_line_color">get_ds_line_color</a>(ds)    </b></div><br>
    This macro retrieve the color of the data set.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_line_color" title="">set_ds_line_color</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_point_symbol">set_ds_point_symbol</a>(d_s *ds, char *symb);</b></div><br>
    This function specify the symbol to be drawn at each point.
<blockquote class="code"><pre>
      <a href="#set_ds_point_symbol" class="autotype" title="">set_ds_point_symbol</a>(ds, "\\pt6\\gamma");
</pre></blockquote>
    place the greek symbol in six point size at each plotted point.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#get_ds_point_symbol" title="">get_ds_point_symbol</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_ds_point_symbol">get_ds_point_symbol</a>(ds)    </b></div><br>
    Grap the pointer to the string describing the plot symbol.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_point_symbol" title="">set_ds_point_symbol</a>.</blockquote>
<div class="al-api"><b>int <a name="inherit_from_ds_to_ds">inherit_from_ds_to_ds</a>(d_s *dest, d_s *src);</b></div><br>
    Use to transfert all the property of one data set to a second one which
    correspond to a treatement done to the first one.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_source">set_ds_source</a>(d_s *ds, char *format, ...);</b></div><br>
    Printf style function allowing to specify the source of the data set. The 
    string is automatically allocated to the required size.
<blockquote class="code"><pre>
      <a href="#set_ds_source" class="autotype" title="">set_ds_source</a>(ds, "Original data set having number %d", n_data);
</pre></blockquote>    


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#get_ds_source" title="">get_ds_source</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_ds_source">get_ds_source</a>(ds)    ((ds) == NULL) ? NULL : (ds)->source</b></div><br>
    Grab the pointer to the string describing the source of the data set.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_source" title="">set_ds_source</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_history">set_ds_history</a> (d_s *ds, char *format, ...);</b></div><br>
    Printf style function allowing to specify the history of the data set. The 
    string is automatically allocated to the required size.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#get_ds_history" title="">get_ds_history</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_ds_history">get_ds_history</a>(ds)    ((ds) == NULL) ? NULL : (ds)->history</b></div><br>
    Grap the pointer to the string describing the history of the data set.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_history" title="">set_ds_history</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_treatement">set_ds_treatement</a> (d_s *ds, char *format, ...);</b></div><br>
    Printf style function allowing to specify the treatement of the data set. The 
    string is automatically allocated to the required size.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#get_ds_treatement" title="">get_ds_treatement</a>.</blockquote>
<div class="al-api"><b>#define <a name="get_ds_treatement">get_ds_treatement</a>(ds)    ((ds) == NULL) ? NULL : (ds)->treatement</b></div><br>
    Grap the pointer to the string describing the treatement of the data set.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#set_ds_treatement" title="">set_ds_treatement</a>.</blockquote>
<div class="al-api"><b>int <a name="push_plot_label_in_ds">push_plot_label_in_ds</a> (d_s *ds, float tx, float ty, char *label, int type);</b></div><br>
    Create and attach a plot label to a data set. The parameter label is
    duplicated.    
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#remove_plot_label_from_ds" title="">remove_plot_label_from_ds</a>,
<a class="xref" href="#set_ds_plot_label" title="">set_ds_plot_label</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_plot_label">set_ds_plot_label</a>(d_s *ds, float tx, float ty, int type, char *format, ...);</b></div><br>
    Create and attach a plot label to a data set. The text of the label may be 
    created using a printf format.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#remove_plot_label_from_ds" title="">remove_plot_label_from_ds</a>,
<a class="xref" href="#push_plot_label_in_ds" title="">push_plot_label_in_ds</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_plot_label_from_ds">remove_plot_label_from_ds</a> (d_s *ds, p_l *pl);</b></div><br>
    Remove a specific label and free the plot label.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#push_plot_label_in_ds" title="">push_plot_label_in_ds</a>,
<a class="xref" href="#set_ds_plot_label" title="">set_ds_plot_label</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="alloc_data_set_x_error">alloc_data_set_x_error</a>(d_s *ds);</b></div><br>
    Allocated the array necessaray to hold the error along x. The number of
allocated float correspond to the present number of points of the data set.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#free_data_set_x_error" title="">free_data_set_x_error</a>.</blockquote>
<div class="al-api"><b>d_s* <a name="alloc_data_set_y_error">alloc_data_set_y_error</a>(d_s *ds);</b></div><br>
    Allocated the array necessaray to hold the error along y. The number of
allocated float correspond to the present number of points of the data set.


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#free_data_set_y_error" title="">free_data_set_y_error</a>.</blockquote>
<div class="al-api"><b>int <a name="free_data_set_x_error">free_data_set_x_error</a>(d_s *ds);</b></div><br>
    Free the error associated array in x. 
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#alloc_data_set_x_error" title="">alloc_data_set_x_error</a>.</blockquote>
<div class="al-api"><b>int <a name="free_data_set_y_error">free_data_set_y_error</a>(d_s *ds);</b></div><br>
    Free the error associated array in y. 


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#alloc_data_set_y_error" title="">alloc_data_set_y_error</a>.</blockquote>
<div class="al-api"><b>int <a name="add_to_data_set">add_to_data_set</a>(d_s *ds, int type, void *stuff);</b></div><br>
    General function used to attach a new thing to a data set. This may be a 
    special feature or a plot label.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#remove_from_data_set" title="">remove_from_data_set</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_from_data_set">remove_from_data_set</a> (d_s *ds, int type, void *stuff);</b></div><br>
    General function used to detach and free something to a data set. This 
    may be a special feature or a plot label.
    

<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#add_to_data_set" title="">add_to_data_set</a>.</blockquote>
<div class="al-api"><b>int <a name="remove_point_from_data_set">remove_point_from_data_set</a>(d_s *src, int n_one);</b></div><br>
    Remove a point from the data set and rearrange points.
    


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>.</blockquote>
<div class="al-api"><b>int <a name="ds_special_2_use">ds_special_2_use</a> (d_s *ds);</b></div><br>


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#ds_use_2_special" title="">ds_use_2_special</a>,
<a class="xref" href="#ds_free_use" title="">ds_free_use</a>,
<a class="xref" href="#ds_duplicate_use" title="">ds_duplicate_use</a>.</blockquote>
<div class="al-api"><b>int <a name="ds_use_2_special">ds_use_2_special</a> (d_s *ds);</b></div><br>


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#ds_special_2_use" title="">ds_special_2_use</a>,
<a class="xref" href="#ds_free_use" title="">ds_free_use</a>,
<a class="xref" href="#ds_duplicate_use" title="">ds_duplicate_use</a>.</blockquote>
<div class="al-api"><b>int <a name="ds_free_use">ds_free_use</a>(d_s *ds);</b></div><br>


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#ds_use_2_special" title="">ds_use_2_special</a>,
<a class="xref" href="#ds_special_2_use" title="">ds_special_2_use</a>,
<a class="xref" href="#ds_duplicate_use" title="">ds_duplicate_use</a>.</blockquote>
<div class="al-api"><b>int <a name="ds_duplicate_use">ds_duplicate_use</a> (d_s *dsd, d_s *dss);</b></div><br>


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#d_s" title="">d_s</a>,
<a class="xref" href="#ds_use_2_special" title="">ds_use_2_special</a>,
<a class="xref" href="#ds_free_use" title="">ds_free_use</a>,
<a class="xref" href="#ds_special_2_use" title="">ds_special_2_use</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_starting_time">set_ds_starting_time</a> (d_s *ds);</b></div><br>
     Set the time stamp to the present time and initiate the duration to 0      



<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#set_ds_ending_time" title="">set_ds_ending_time</a>.</blockquote>
<div class="al-api"><b>int <a name="set_ds_ending_time">set_ds_ending_time</a> (d_s *ds);</b></div><br>
     Set the time duration of the data set acquisition  


<blockquote class="xref"><em><b>See also:</b></em>
<a class="xref" href="#set_ds_starting_time" title="">set_ds_starting_time</a>.</blockquote>
<hr><div class="al-back-to-contents"><a href="xvin.html">Back to contents</a></div>

</body>
</html>
